%set_verify_elf_method textrel=relaxed

%define	vdrbuild	1.3.15-alt1
%define	plugindir	/usr/lib/vdr
%define	helpdir 	/var/lib/vdr/config/plugins/help
%define pname 		aide

Name: vdr-%pname
Version: 0.0.2
Release: alt1

Summary: Help plugin for VDR
Summary(ru_RU.UTF-8): Модуль справки для VDR
License: GPL
Group: Video
URL: http://vdr.bluox.org/download/index.php?path=vdr-aide/
Source0: %name-%version.tar.gz
Source1: eng.tar.bz2
Source2: deu.tar.bz2
Source3: rus.tar.bz2 
Patch0: %name-%version-mod.diff
BuildPreReq: kernel-headers-dvb vdr-devel = %vdrbuild
BuildRequires: gcc-c++ libjpeg-devel libstdc++-devel
Requires: vdr = %vdrbuild

%description
This plugin provides an on-screen OSD help browser. This is a heavily modified
version with improved help format and ability to choose the language of help files
depending on the OSD language settings.

%description -l ru_RU.UTF-8
Данный модуль добавляет VDR возможность показа справки на экране телевизора.
Это сильно измененная версия, использующая другой формат справочных файлов и 
способная выбирать язык справки в соответствии с языком меню.

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp -r %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

%patch0 -p1

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir
%__install -d %buildroot%helpdir
pushd %buildroot%helpdir
tar xjf %SOURCE1
tar xjf %SOURCE2
tar xjf %SOURCE3
popd

%files
%plugindir/*
%helpdir
%doc PLUGINS/src/%pname/README

%changelog
* Thu Nov 04 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.2-alt1
- Initial build
